Subject: Re: SCO 3.2.2 port & release 4.0 (fwd)

From: [email-masked] (Steve Williams)
Date: Tue, 3 Mar 92 16:26:23 EST

Let me clarify....

Forwarded message:
> Subject: Re: SCO 3.2.2 port & release 4.0
> To: [email-masked]
> Reply-To: [email-masked]
> you write:
> 
> > at the I'm working on a port of postgres for SCO 3.2.2 for release 3.1.
> > Some days ago I read there will be release 4.0 at March. 
> > So, my questions are :
> > 
> > -- Is there an already finished port for SCO (with gcc) ?
> 
> There is a fellow (Stephen Williams, [email-masked]) who
Please change address to [email-masked], currently forwarded to 
[email-masked]
> has claimed to have a SCO port mostly done.  I don't believe he was using
> gcc.  To get POSTGRES to compile under gcc you have to set flags to make
> it run like the standard c compiler (-traditional).
Actually, the port is for ISC 3.2.2/3 with gcc 1.40, but it should run just
fine on SCO and other 386 Unixes (may require a recompile or relink due
to different tcpips before V.4).  I had the backend working on 3.0, but
had bugs with postmaster.  I had a daughter, changed main jobs, etc. so
I was slightly stalled.  Going now.  I have my changes almost merged into
3.1 now.
> 
> > -- If not, are you interested in having the patches for 3.1 and can
> >    you maintain this port ?
> >    (most patches relate filenames longer than 14 chars)
I don't agree about the most part, but I changed about 10 files and all
references to proper length.
> 
> We have been telling everyone that we're not interested in supporting
> other ports.  We don't really have the manpower to do this (as you might
> infer from the delay time for this response).
I plan on being active about improvements, so maybe I can provide
semi-official sysv support.  I'll provide patches eventually.
> 
> > -- Or, (arrggghh !!!) should I do the work again for 4.0 and give you
> >    the patches ?
> > 
> > It would be very helpful for porting it to SCO, if you change some
> > filenames in release 4.0 to not longer than 14 chars (I can give you the names)
> 
> If you send me the names I will shorten them.
Will do....
> 
> 
> Jeff Meredith
> [email-masked]
> 

Note that I am adding a, hopefully, commercial front-end application
generator / OOP language to work with Postgres.

Thanks
sdw